#
# spec file for package python-responses
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
Name:           python-responses
Version:        0.8.1
Release:        lp151.2.2
Summary:        A utility library for mocking out the `requests` Python library
License:        Apache-2.0
Group:          Development/Languages/Python
Url:            https://github.com/getsentry/responses
Source:         https://files.pythonhosted.org/packages/source/r/responses/responses-%{version}.tar.gz
BuildRequires:  %{python_module cookies}
# test requirements}
BuildRequires:  %{python_module coverage >= 3.7.1}
BuildRequires:  %{python_module devel}
BuildRequires:  %{python_module flake8}
BuildRequires:  %{python_module pytest-cov}
BuildRequires:  %{python_module pytest-localserver}
BuildRequires:  %{python_module pytest}
BuildRequires:  %{python_module requests >= 2.0}
BuildRequires:  %{python_module setuptools}
BuildRequires:  %{python_module six}
BuildRequires:  python-rpm-macros
Requires:       python-cookies
Requires:       python-requests >= 2.0
Requires:       python-six
Suggests:       python-coverage >= 3.7.1
Suggests:       python-flake8
Suggests:       python-pytest
Suggests:       python-pytest-cov
Suggests:       python-pytest-localserver
BuildArch:      noarch
%ifpython2
Requires:       python-mock
%endif
%python_subpackages

%description
A utility library for mocking out the requests Python library.
Check https://github.com/getsentry/responses for more information
about the library.

%prep
%setup -q -n responses-%{version}

%build
%python_build

%install
%python_install

%files %{python_files}
%doc CHANGES README.rst
%license LICENSE
%{python_sitelib}/*

%changelog
* Fri Mar  9 2018 mimi.vx@gmail.com
- Fix python2 requires
* Fri Jan 12 2018 mimi.vx@gmail.com
- update to 0.8.1
  * Added the ability to passthru real requests via ``add_passthru()``
  and ``passthru_prefixes`` configurations.
  * Responses will now be rotated until the final match is hit, and
  then persist using that response (GH-171).
  * Fixed call counting with exceptions (GH-163).
  * Fixed behavior with arbitrary status codes (GH-164).
  * Fixed handling of multiple responses with the same match (GH-165).
  * Fixed default path behavior with ``match_querystring`` (GH-166).
  * Restored ``adding_headers`` compatibility (GH-160).
  * Allow empty list/dict as json object (GH-100).
  * Added `response_callback` (GH-151).
  * Added ``Response`` interfaces (GH-155).
  * Fixed unicode characters in querystring (GH-153).
  * Added support for streaming IO buffers (GH-154).
  * Added support for empty (unset) Content-Type (GH-139).
  * Added reason to mocked responses (GH-132).
  * ``yapf`` autoformatting now enforced on codebase.
* Mon Apr 10 2017 alarrosa@suse.com
- Update for singlespec
* Thu Jan 19 2017 alarrosa@suse.com
- Initial release
